Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
nguyenthanhcao

cho mình hỏi về text trong cad với.

Các bài được khuyến nghị

làm sao để tôi có thể viết text nhanh: giả sử tôi có 1 layer "text" (và nhiều layer khác) làm sao để khi tôi dùng lệnh T là nó tự động nhảy vào layer "text" (trước đó tôi đang ở 1 layer khác)? mong mọi người giúp đỡ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin hãy sử dụng chức năng tìm kiếm của Diễn đàn, hay thử đọc topic sau

 

Có lẽ câu hỏi của bạn khó, nên mọi người chưa giúp được. Hoặc có thể có cách giải quyết nhưng ai cũng bận chưa giúp bạn được.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
làm sao để tôi có thể viết text nhanh: giả sử tôi có 1 layer "text" (và nhiều layer khác) làm sao để khi tôi dùng lệnh T là nó tự động nhảy vào layer "text" (trước đó tôi đang ở 1 layer khác)? mong mọi người giúp đỡ.

Hề hề hề,

Cái nhà bác nguyenthanhcao này nóng .... máy quá.

Bác xài thử món này xem nó có mát ruột không hè.

(defun c:te ()
(command "_layer" "s" "text" "")
)

Và bác nhớ rằng phải load cái lisp này vào CAD trước khi xài nhé. Lệnh là te chứ không phải t như bác muốn, bởi vì nếu chỉ có t thì lisp nó sẽ hiểu đó là một lệnh khác. Mong bác ráng chịu vì te và t chỉ thêm có một nhát gõ thôi mà được việc còn hơn là xôi hỏng bỏng không bác hỉ.

Chúc bác hạ được cơn hỏa, hề hề hề.....

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
làm sao để tôi có thể viết text nhanh: giả sử tôi có 1 layer "text" (và nhiều layer khác) làm sao để khi tôi dùng lệnh T là nó tự động nhảy vào layer "text" (trước đó tôi đang ở 1 layer khác)? mong mọi người giúp đỡ.

Giải quyết tình thế với bản vẽ đã có. Các text đã thuộc nhiều layer. loado cái này gò lệnh cte

(Defun c:Cte ( )

(Princ "\nHay chon vung :")

(setq xx (ssget '((0 . "text"))))

 

(if (Null xx)

(princ "\nKhong tim thay doi tuong nao")

)

(IF (/= NIL xx) (PROGN

 

(command "-layer" "new" "ltext" "color" "7" "ltext" "")

(princ "\nDang thuc hien ...............................")

(command "change" xx "" "Properties" "la" "ltext" "")

)

)

(princ "\nXong")

(Princ)

)

 

Viết text mới thì dùng cái này.

(Defun C:vte ()

(command "-layer" "new" "ltext" "color" "7" "ltext" "")

(setq luulop (getvar "clayer"))

(setvar "clayer" "ltext")

(Princ)

(command "_text" pause)

(setvar "clayer" luulop)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hề hề hề,

Cái nhà bác nguyenthanhcao này nóng .... máy quá.

Bác xài thử món này xem nó có mát ruột không hè.

(defun c:te ()
(command "_layer" "s" "text" "")
)

Và bác nhớ rằng phải load cái lisp này vào CAD trước khi xài nhé. Lệnh là te chứ không phải t như bác muốn, bởi vì nếu chỉ có t thì lisp nó sẽ hiểu đó là một lệnh khác. Mong bác ráng chịu vì te và t chỉ thêm có một nhát gõ thôi mà được việc còn hơn là xôi hỏng bỏng không bác hỉ.

Chúc bác hạ được cơn hỏa, hề hề hề.....

bác này làm tôi mừng hụt... đã tử dùng cái lsp của bác nhưng không có tác dụng gì cả??? mong bác chỉ giáo rõ hơn được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bác này làm tôi mừng hụt... đã tử dùng cái lsp của bác nhưng không có tác dụng gì cả??? mong bác chỉ giáo rõ hơn được không?

 

hehe...sao lại kô được. chắc chắn phải được. :undecided: :blink: :blink:

nhìn dãy lệnh lisp thế kia là quá chuẩn rồi.

anh dùng lệnh đó xong kô dùng thêm lệnh về text nữa là kô được đâu.

dãy lệnh này cho phép chuyển đến layer là text, anh hiểu chứ!!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hehe...sao lại kô được. chắc chắn phải được. :undecided: :blink: :blink:

nhìn dãy lệnh lisp thế kia là quá chuẩn rồi.

anh dùng lệnh đó xong kô dùng thêm lệnh về text nữa là kô được đâu.

dãy lệnh này cho phép chuyển đến layer là text, anh hiểu chứ!!

chính xác... tôi đã tành công..cảm ơn ccs bác đã giúp đỡ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bạn cho mình hỏi trong autocad 2007 có thực hiện việc viết text thay đổi hình dạng chữ dạng giống như wordart được không. Xin cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×